<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/media_controller_seekbar_bg"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/seek_indicator"
        android:layout_width="@dimen/d_90dp"
        android:layout_height="@dimen/d_61dp"
        android:layout_marginBottom="@dimen/d_35dp"
        android:layout_marginLeft="@dimen/d_64dp"
        android:scaleType="fitXY"
        android:src="@drawable/media_controller_seekbar_pause_indicator"
        android:visibility="invisible" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:id="@+id/current_duration"
            android:layout_width="@dimen/d_100dp"
            android:layout_height="wrap_content"
            android:background="@drawable/media_controller_seekbar_text_indicator_bg"
            android:gravity="center"
            android:textColor="@android:color/white"
            android:textSize="@dimen/s_20sp" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_7dp">

            <SeekBar
                android:id="@+id/seekbar"
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_7dp"
                android:maxHeight="@dimen/d_7dp"
                android:minHeight="@dimen/d_7dp"
                android:paddingLeft="@dimen/d_64dp"
                android:paddingRight="@dimen/d_64dp"
                android:progressDrawable="@drawable/media_controller_seekbar_progress"
                android:thumb="@null" />

        </FrameLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingLeft="@dimen/d_64dp"
        android:paddingRight="@dimen/d_64dp">

        <TextView
            android:id="@+id/start_point"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:gravity="center"
            android:textColor="@android:color/white"
            android:textSize="@dimen/s_20sp"
            android:visibility="gone" />

        <TextView
            android:id="@+id/total_duration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:gravity="center"
            android:textColor="@android:color/white"
            android:textSize="@dimen/s_20sp" />
    </RelativeLayout>

</LinearLayout>